Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: openSUSE-11.4 zypper dup bug ! Warning to those doing a zypper dup update

  1. #1
    Join Date
    Mar 2008
    Location
    Europe
    Posts
    26,256
    Blog Entries
    34

    Default openSUSE-11.4 zypper dup bug ! Warning to those doing a zypper dup update

    For those openSUSE users who plan to do a zypper dup update to openSUSE-11.4, please note the following bug BEFORE you attempt to do an update ! Beware of a nasty BUG when UPGRADING

    A nasty bug got into 11.4 between RC2 and GM
    (https://bugzilla.novell.com/show_bug.cgi?id=677425). If you do a 'zypper dup',
    it breaks rpm by removing liblzma0. Recovery is quite difficult.

    The workaround is quite easy - do a 'zypper up rpm' before the 'zypper dup'.

    Although it is too late to fix 11.4 GM, it should be possible to fix the FTP
    sites so that online updates will be OK; however, for safety, use the workaround
    .

  2. #2
    Join Date
    Mar 2008
    Location
    Europe
    Posts
    26,256
    Blog Entries
    34

    Default re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zypper dup update

    Quote Originally Posted by oldcpu View Post
    For those openSUSE users who plan to do a zypper dup update to openSUSE-11.4, please note the following bug BEFORE you attempt to do an update ! Beware of a nasty BUG when UPGRADING
    Note the subject should read:

    openSUSE-11.4 zypper dup bug ! Warning to those doing a zypper dup update

    ... unfortunately I can't change the title without breaking the thread for NNTP users.

  3. #3
    Join Date
    Nov 2010
    Location
    Ελλάδα(Αθήνα)-Россия (г. Красноярск)
    Posts
    2,919

    Default Απ: Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupper dup update

    Because I will upgrade with zypper dup. I check it now in my laptop maybe this problem exist and if exist I will post here. Anyway Thank you Mr oldcpu for advice.
    Πάντα Φιλικά, Στάμος.
    Desktop: openSUSE Leap 42.2||x86_64||Gnome 3.14 & KDE 5||AMD PHENOM II X3||AMD RADEON R9 290X
    Γλώσσες Προγραμματισμού: C++, Qt developing.
    http://bit.ly/fT8Hfi

  4. #4

    Default Re: Απ: Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupper dup update

    Since no one has yet to confirm that this works I will - It works, iirc only one file was up'ed by the "zypper up rpm" command and that was the liblzma5 rpm
    openSUSE Leap 42.1 x64, Plasma 5 & KDE 4.14.x, pretty current proprietary Nvidia drivers (self-compiled)

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupperdup update

    On 2011-03-08 00:06, oldcpu wrote:
    >
    > For those openSUSE users who plan to do a zypper dup update to
    > openSUSE-11.4, please note the following bug BEFORE you attempt to do an
    > update ! 'Beware of a nasty BUG when UPGRADING'
    > (http://tinyurl.com/4l2mqpg)


    There is a work around in place now (a change in the ftp servers).

    Current info here:

    <https://bugzilla.novell.com/show_bug.cgi?id=677425>

    There is also a comment that tells how to proceed if you are hit.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.2 x86_64 "Emerald" at Telcontar)

  6. #6
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,164

    Default Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupperdup update

    I did zypper dup after which gnome boots only in safe mode :-((((((
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  7. #7

    Default Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupperdup update

    Quote Originally Posted by vazhavandan View Post
    I did zypper dup after which gnome boots only in safe mode :-((((((
    then you have a different issue - this thread is regarding a bug that inhibits rpms from being decompressed and installed

    you should post a new thread specific to your problem - might it be a graphics driver problem? did the upgrade (I assume you're now at 11.4) remove but not replace a proprietary driver?
    openSUSE Leap 42.1 x64, Plasma 5 & KDE 4.14.x, pretty current proprietary Nvidia drivers (self-compiled)

  8. #8
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,164

    Default Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupperdup update

    created new therad here:- [Help] After zypper dup with following repos

    I don't have an external GPU and hence i don't use proprietary drivers
    GNOME Version 3.20.2
    openSUSE Leap 42.3 64-bit

    www.vazhavandan.blogspot.com

  9. #9
    Join Date
    Nov 2010
    Location
    Ελλάδα(Αθήνα)-Россия (г. Красноярск)
    Posts
    2,919

    Default Απ: Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupper dup update

    Quote Originally Posted by stamostolias View Post
    Because I will upgrade with zypper dup. I check it now in my laptop maybe this problem exist and if exist I will post here. Anyway Thank you Mr oldcpu for advice.
    Yes I have the same problem with zypper dup update. I have a black screen in my laptop.
    Πάντα Φιλικά, Στάμος.
    Desktop: openSUSE Leap 42.2||x86_64||Gnome 3.14 & KDE 5||AMD PHENOM II X3||AMD RADEON R9 290X
    Γλώσσες Προγραμματισμού: C++, Qt developing.
    http://bit.ly/fT8Hfi

  10. #10
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,829

    Default Re: Απ: Re: openSUSE-11.4 zypper dup bug ! Warning to those doing a zupper dup update

    Hmm this is funny because I upgraded using zypper dup and had no issues.

    Best regards,
    Greg
    Best regards,
    Greg
    Box: Windows 7 / Windows XP | Intel Dual-Core E5200 | ATI Radeon HD4850 | 4GB RAM
    Lap: openSUSE 13.2 / Windows 7 | Intel U7300 | KDE | Intel GMA 4500 | Asus UL80A | 3GB RAM

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •